@charset "UTF-8";

/* LARGE */
@media screen and (min-width: 1280px) {
  .mobile-only, .not-desktop {
    display: none !important;
  }
  #contact figure {
    justify-self: right;
  }
}

/* MEDIUM */
@media screen and (min-width: 800px) and (max-width: 1279px) {
  .mobile-only, .desktop-only, .not-tablet {
    display: none !important;
  }

  #works-carousel items {
    --cols: 2;
  }
}

/* SMALL */
@media screen and (max-width: 799px) {
  main {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: flex-start;
    overflow-x: hidden;
  }
    main section {
      padding-right: 15%;
      padding-left: 15%;
    }
  footer {
    flex-direction: column;
  }
    footer .flex-row {
      flex-direction: column;
    }
    footer nav {
      margin-left: 0px;
    }

  .desktop-only, .not-mobile {
    display: none !important;
  }
  .grid-cols-3 {
    grid-template-columns: 1fr;
    grid-auto-flow: row;
    text-align: center;
  }
  .quote {
    font-size: 1.2em;
  }
  .quote::before {
    transform: rotate(180deg) translateY(5rem);
  }
  .work {
    height: 100%;
    width: 100%;
  }
  .yellow-hr {
    --width: 100%;
  }  

  #about {
    grid-template-columns: 1fr;
    text-align: center;
    min-height: auto;
  }
  #feather-02 {
    top: -15%;
  }
  #feather-04 {
    height: 12em;
    top: 110%;
  }
  #home img {
    position: absolute;
  }
  #portfolio {
    background-size: 300% 40%;
    background-position: -1% center;
  }
  #works-carousel items {
    --cols: 1;
  }
}
